Subject: Re: 8169 Intermittent ifup Failure Issue With RTL8102E Chipset in Intel's New D945GCLF Atom Board (Not the Initial Modprobe Crash, Another Problem)

From: Kasper Sandberg <[email-masked]>
Date: Wed, 16 Jul 2008 17:03:18 +0200

On Tue, 2008-07-15 at 20:56 +0200, Francois Romieu wrote:
> Mario Limonciello <[email-masked]> :
> [...]
> > If I was to guess (I didn't actually work out which one yours identifies
> > as), most likely your NIC isn't caught in my check for MAC_VER_13 or
> > MAC_VER_16, but Francois's patch has:
> 
> +1
> 
> (actually this change was contributed by Marcus Sundberg: see
> the Signed-off-by and/or the patch named 
> 0003-r8169-avoid-thrashing-PCI-conf-space-above-RTL_GIGA.patch)
> 
> I doubt that it will break anybody's 8101 (resp. 8102) but I would
> welcome a report from a 8101/8102 owner before sending it upstream.

Yeah, this change will definetly be good news to lots of realtek pci
express owners, googling for this issue myself i found that alot of
people are having it, and finding it difficult/annoying to grab 8168
from realteks site, not to mention often compatibility issues, so this
is a very welcome fix :D

> 
> Sorry for disturbing linux-pci.
>